RegistrationWorkingsetEditor: LIE creating new name for book section
Description

This LazylnitializationException seems to require special circumstances to be reproducible:

1. login as admin
1. /registration#!regStart -> create new reference, click continue
2. log out
2. login as curator
1. ./registration#!regStart -> create a new book section for the reference created above
2. click "continue”
3. in the RegistrationWorkingsetEditor click new name

An LazylnitializationException ist thrown:

Caused by: org.hibernate.lLazyInitializationException: could not initialize proxy - the owning Sess
ion was closed

at org.hibernate.proxy.AbstractlLazyInitializer.initialize (AbstractLazyInitializer.java:151)

at org.hibernate.proxy.AbstractlLazyInitializer.getImplementation (AbstractLazyInitializer. java:
266)

at org.hibernate.proxy.pojo.javassist.JavassistLazyInitializer.invoke (JavassistLazyInitializer
.java:68)

at eu.etaxonomy.cdm.model.agent.TeamOrPersonBase_$$_jvstab52_62.getNomenclaturalTitle (TeamOrPer
sonBase_$$_jvsta52_62. java)

at eu.etaxonomy.cdm.strategy.cache.reference.DefaultReferenceCacheStrategy.getInRefAuthorPart (
DefaultReferenceCacheStrategy. java:744)

at eu.etaxonomy.cdm.strategy.cache.reference.DefaultReferenceCacheStrategy.getTokenizedNomencl
aturalTitelInRef (DefaultReferenceCacheStrategy.java:696)

at eu.etaxonomy.cdm.strategy.cache.reference.DefaultReferenceCacheStrategy.getTokenizedNomencl
aturalTitel (DefaultReferenceCacheStrategy.java:651)

at eu.etaxonomy.cdm.strategy.cache.reference.DefaultReferenceCacheStrategy.getNomenclaturalCit
ation (DefaultReferenceCacheStrategy. java:597)

at eu.etaxonomy.cdm.model.reference.Reference.getNomenclaturalCitation (Reference. java:973)

at eu.etaxonomy.cdm.strategy.cache.name.TaxonNameDefaultCacheStrategy.getTaggedFullTitle (Taxon
NameDefaultCacheStrategy.java:309)

at eu.etaxonomy.cdm.strategy.cache.name.NameCacheStrategyBase.getFullTitleCache (NameCacheStrat
egyBase. java:61)

at eu.etaxonomy.cdm.strategy.cache.name.NameCacheStrategyBase.getFullTitleCache (NameCacheStrat
egyBase. java:72)

at eu.etaxonomy.cdm.model.name.TaxonName.generateFullTitle (TaxonName. java:1431)

at eu.etaxonomy.cdm.model.name.TaxonName.getFullTitleCache (TaxonName. java:1489)

at eu.etaxonomy.cdm.vaadin.model.name.TaxonNameDTO.getFullTitleCache (TaxonNameDTO. java:234)
Associated revisions

Revision 3e625af9 - 11/07/2018 05:44 PM - Andreas Kohlbecker

fix #7892 proper initialization of references for new taxon names

History

#1 - 11/07/2018 05:44 PM - Andreas Kohlbecker

- Status changed from New to Resolved
- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|3e625af91f82acd7a9d628e09fe0e2{43{8c84c2.

#2 - 11/07/2018 05:45 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber
please test if this is still reproducible

#3 - 11/08/2018 03:03 PM - Wolf-Henning Kusber

Test 1 (test system): Book entered as admin into Vaadin, Book section as submitter in vaadin, new name and type for existing name without
problems.

Test 2 (test system): Book entered as admin into TaxEditor, Book section as submitter in vaadin, new name and type for existing name without
problems.

Result: the initial problem was not the book section, but "double click" onto a selected name, or check for an existing name, than click on new name.

#4 - 11/12/2018 05:46 PM - Andreas Kohlbecker

- Status changed from Resolved to Feedback
so this issue is solved and we can close it now?

#5 - 11/12/2018 06:05 PM - Andreas Kohlbecker
- Status changed from Feedback to Closed
- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 100
